5 Replies Latest reply on Nov 13, 2014 4:33 AM by Feroz Mahomed

    How to edit macro to change depth of cut

    Feroz Mahomed

      How do I modify the code below so that when a sketch is pre-selected and the macro run the cut extrude must be 1mm deep.

      I want the macro to do what is in Green. The line in red cuts through all.

       

      Option Explicit

       

      Dim swApp As SldWorks.SldWorks

      Dim swModel As SldWorks.ModelDoc2

      Dim swModelDocExt As SldWorks.ModelDocExtension

      Dim swSketchManager As SldWorks.SketchManager

      Dim swSketchSegment As SldWorks.SketchSegment

      Dim swFeatureManager As SldWorks.FeatureManager

      Dim swFeature As SldWorks.Feature

      Dim boolstatus As Boolean

      Dim fileerror As Long, filewarning As Long

       

      Sub main()

      Set swApp = Application.SldWorks

      Set swModel = swApp.ActiveDoc

      Set swModelDocExt = swModel.Extension

      Set swFeatureManager = swModel.FeatureManager

      'Set swFeature = swFeatureManager.FeatureCut3(True, False, False, 0, 0, 0.001, 0.01, False, False, False, False, 1.74532925199433E-02, 1.74532925199433E-02, False, False, False, False, False, True, True, True, True, False, 0, 0, False)

      Set swFeature = swFeatureManager.FeatureCut3(True, False, False, swEndCondThroughAll, swEndCondBlind, 0.01, 0.01, False, False, False, False, 0.01745329251994, 0.01745329251994, False, False, False, False, False, True, True, False, False, False, swStartSketchPlane, 0, False)


      End Sub